Bug 801888 - "Error formating a storage domain" results in no error detail in REST.
"Error formating a storage domain" results in no error detail in REST.
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-api (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: 3.3.4
Assigned To: Ori Liel
Jakub Libosvar
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-09 13:39 EST by Jaroslav Henner
Modified: 2016-02-10 11:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-15 10:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Henner 2012-03-09 13:39:40 EST
Description of problem:
Test failed when formatting a storage domain, but in REST API, there was no good error message about that.

Version-Release number of selected component (if applicable):
Jenkins build #488


How reproducible:
unknown

Steps to Reproduce:
1.
2.
3.
  
Actual results:
2012-03-09 17:39:13,778 - MainThread - storagedomains - DEBUG - DELETE request content is --  url:http://localhost:8080/api/storagedomains/2834dd36-d418-4fc6-9d0f-95c8c1fb390b body:<storage_domain><host id='b10a39da-69fc-11e1-b379-6fddd64b0774'/><format>true</format></storage_domain> 
2012-03-09 17:39:15,786 - MainThread - storagedomains - DEBUG - Response body for DELETE request is: <?xml version="1.0" encoding="UTF-8" standalone="yes"?><fault><reason>Operation Failed</reason><detail>[]</detail></fault> 

Expected results:
Something descriptive in <detail>

Additional info:
2012-03-09 17:38:32,621 INFO  [org.ovirt.engine.core.bll.VdsLoadBalancingAlgorithm] (QuartzScheduler_Worker-8) VdsLoadBalancer: number of relevant vdss (no migration, no pending): 0.
2012-03-09 17:38:32,621 INFO  [org.ovirt.engine.core.bll.VdsCpuVdsLoadBalancingAlgorithm] (QuartzScheduler_Worker-8) VdsLoadBalancer: number of over utilized vdss found: 0.
2012-03-09 17:38:32,621 INFO  [org.ovirt.engine.core.bll.VdsCpuVdsLoadBalancingAlgorithm] (QuartzScheduler_Worker-8) VdsLoadBalancer: max cpu limit: 48, number of ready to migration vdss: 0
2012-03-09 17:38:32,621 INFO  [org.ovirt.engine.core.bll.VdsCpuVdsLoadBalancingAlgorithm] (QuartzScheduler_Worker-8) VdsLoadBalancer: number of under utilized hosts found: 0.
2012-03-09 17:38:34,632 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SpmStartVDSCommand] (http-0.0.0.0-8080-2) spmStart polling ended: taskId = 9463dc0b-e55b-43ee-8602-66901d8759a5 task status = finished
2012-03-09 17:38:34,642 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SpmStartVDSCommand] (http-0.0.0.0-8080-2) spmStart polling ended. spm status: SPM
2012-03-09 17:38:34,644 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (http-0.0.0.0-8080-2) START, HSMClearTaskVDSCommand(vdsId = b10a39da-69fc-11e1-b379-6fddd64b0774, taskId=9463dc0b-e55b-43ee-8602-66901d8759a5), log id: 423e70bb
2012-03-09 17:38:34,653 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.HSMClearTaskVDSCommand] (http-0.0.0.0-8080-2) FINISH, HSMClearTaskVDSCommand, log id: 423e70bb
2012-03-09 17:38:34,653 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.SpmStartVDSCommand] (http-0.0.0.0-8080-2) FINISH, SpmStartVDSCommand, return: org.ovirt.engine.core.common.businessentities.SpmStatusResult@775b2b07, log id: 3d553a42
2012-03-09 17:38:34,655 INFO  [org.ovirt.engine.core.vdsbroker.ResourceManager] (http-0.0.0.0-8080-2) ResourceManager:StoragePoolStatusChange - no event listener defined, nothing done.
2012-03-09 17:38:34,655 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (http-0.0.0.0-8080-2) Initialize Irs proxy from vds: 10.35.102.68
2012-03-09 17:38:42,140 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (http-0.0.0.0-8080-2) IrsProxyData::disposing
2012-03-09 17:38:42,145 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.DestroyStoragePoolVDSCommand] (http-0.0.0.0-8080-2) FINISH, DestroyStoragePoolVDSCommand, log id: 78db3b1f
2012-03-09 17:38:42,161 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.DisconnectStorageServerVDSCommand] (http-0.0.0.0-8080-2) START, DisconnectStorageServerVDSCommand(vdsId = b10a39da-69fc-11e1-b379-6fddd64b0774, storagePoolId = c8446deb-78b4-44e2-9a9e-c1938a6f3485, storageType = ISCSI, connectionList = [{ id: 6cc5bae9-f414-4dec-9b74-0a751551cf08, connection: 10.35.16.27 };]), log id: 5881792
2012-03-09 17:38:43,472 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.DisconnectStorageServerVDSCommand] (http-0.0.0.0-8080-2) FINISH, DisconnectStorageServerVDSCommand, return: {6cc5bae9-f414-4dec-9b74-0a751551cf08=0}, log id: 5881792
2012-03-09 17:38:43,493 INFO  [org.ovirt.engine.core.bll.storage.DisconnectStoragePoolAsyncOperation] (pool-21-thread-49) Disconnect storage pool treatment vds: jenkins-fake-host-01.eng.lab.tlv.redhat.com,pool RestDataCenter2
2012-03-09 17:38:43,498 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.DisconnectStoragePoolVDSCommand] (pool-21-thread-49) START, DisconnectStoragePoolVDSCommand(vdsId = b10a39da-69fc-11e1-b379-6fddd64b0774, storagePoolId = c8446deb-78b4-44e2-9a9e-c1938a6f3485, vds_spm_id = 1, masterDomainId = 00000000-0000-0000-0000-000000000000, masterVersion = 0), log id: 1177c1b2
2012-03-09 17:38:43,507 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.DisconnectStoragePoolVDSCommand] (pool-21-thread-49) FINISH, DisconnectStoragePoolVDSCommand, log id: 1177c1b2
2012-03-09 17:38:43,536 INFO  [org.ovirt.engine.core.bll.LogoutUserCommand] (http-0.0.0.0-8080-2) Running command: LogoutUserCommand internal: false.
2012-03-09 17:39:13,580 ERROR [org.ovirt.engine.core.bll.adbroker.DirectorySearcher] (http-0.0.0.0-8080-2) Error in finding LDAP servers for domain dc.eng.lab.tlv.redhat.com
2012-03-09 17:39:13,627 INFO  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (http-0.0.0.0-8080-2) Running command: LoginAdminUserCommand internal: false.
2012-03-09 17:39:13,652 INFO  [org.ovirt.engine.core.bll.LogoutUserCommand] (http-0.0.0.0-8080-2) Running command: LogoutUserCommand internal: false.
2012-03-09 17:39:13,679 ERROR [org.ovirt.engine.core.bll.adbroker.DirectorySearcher] (http-0.0.0.0-8080-2) Error in finding LDAP servers for domain dc.eng.lab.tlv.redhat.com
2012-03-09 17:39:13,727 INFO  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (http-0.0.0.0-8080-2) Running command: LoginAdminUserCommand internal: false.
2012-03-09 17:39:13,762 INFO  [org.ovirt.engine.core.bll.LogoutUserCommand] (http-0.0.0.0-8080-2) Running command: LogoutUserCommand internal: false.
2012-03-09 17:39:13,794 ERROR [org.ovirt.engine.core.bll.adbroker.DirectorySearcher] (http-0.0.0.0-8080-2) Error in finding LDAP servers for domain dc.eng.lab.tlv.redhat.com
2012-03-09 17:39:13,841 INFO  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (http-0.0.0.0-8080-2) Running command: LoginAdminUserCommand internal: false.
2012-03-09 17:39:13,908 INFO  [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (http-0.0.0.0-8080-2) Running command: RemoveStorageDomainCommand internal: false. Entities affected :  ID: 2834dd36-d418-4fc6-9d0f-95c8c1fb390b Type: Storage
2012-03-09 17:39:13,913 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (http-0.0.0.0-8080-2) START, ConnectStorageServerVDSCommand(vdsId = b10a39da-69fc-11e1-b379-6fddd64b0774, storagePoolId = 00000000-0000-0000-0000-000000000000, storageType = ISCSI, connectionList = [{ id: 6cc5bae9-f414-4dec-9b74-0a751551cf08, connection: 10.35.16.27 };]), log id: 46e18aac
2012-03-09 17:39:15,523 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.ConnectStorageServerVDSCommand] (http-0.0.0.0-8080-2) FINISH, ConnectStorageServerVDSCommand, return: {6cc5bae9-f414-4dec-9b74-0a751551cf08=0}, log id: 46e18aac
2012-03-09 17:39:15,528 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (http-0.0.0.0-8080-2) START, FormatStorageDomainVDSCommand(vdsId = b10a39da-69fc-11e1-b379-6fddd64b0774, storageDomainId=2834dd36-d418-4fc6-9d0f-95c8c1fb390b), log id: 7b0b917c
2012-03-09 17:39:15,757 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http-0.0.0.0-8080-2) Failed in FormatStorageDomainVDS method
2012-03-09 17:39:15,758 ERROR [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http-0.0.0.0-8080-2) Error code StorageDomainFormatError and error message VDSGenericException: VDSErrorException: Failed to FormatStorageDomainVDS, error = Error formating a storage domain: ('2834dd36-d418-4fc6-9d0f-95c8c1fb390b',)
2012-03-09 17:39:15,762 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http-0.0.0.0-8080-2) Command org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand return value 
 Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusOnlyReturnForXmlRpc
mStatus                       Class Name: org.ovirt.engine.core.vdsbroker.vdsbroker.StatusForXmlRpc
mCode                         352
mMessage                      Error formating a storage domain: ('2834dd36-d418-4fc6-9d0f-95c8c1fb390b',)


2012-03-09 17:39:15,762 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.BrokerCommandBase] (http-0.0.0.0-8080-2) Vds: jenkins-fake-host-01.eng.lab.tlv.redhat.com
2012-03-09 17:39:15,762 ERROR [org.ovirt.engine.core.vdsbroker.VDSCommandBase] (http-0.0.0.0-8080-2) Command FormatStorageDomainVDS execution failed. Exception: VDSErrorException: VDSGenericException: VDSErrorException: Failed to FormatStorageDomainVDS, error = Error formating a storage domain: ('2834dd36-d418-4fc6-9d0f-95c8c1fb390b',)
2012-03-09 17:39:15,762 INFO  [org.ovirt.engine.core.vdsbroker.vdsbroker.FormatStorageDomainVDSCommand] (http-0.0.0.0-8080-2) FINISH, FormatStorageDomainVDSCommand, log id: 7b0b917c
2012-03-09 17:39:15,762 ERROR [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (http-0.0.0.0-8080-2) Command org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand throw Vdc Bll exception. With error message VdcBLLException: org.ovirt.engine.core.vdsbroker.vdsbroker.VDSErrorException: VDSGenericException: VDSErrorException: Failed to FormatStorageDomainVDS, error = Error formating a storage domain: ('2834dd36-d418-4fc6-9d0f-95c8c1fb390b',)
2012-03-09 17:39:15,768 ERROR [org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand] (http-0.0.0.0-8080-2) Transaction rolled-back for command: org.ovirt.engine.core.bll.storage.RemoveStorageDomainCommand.
2012-03-09 17:39:15,775 ERROR [org.ovirt.engine.api.restapi.resource.AbstractBackendResource] (http-0.0.0.0-8080-2) Operation Failed: []
2012-03-09 17:39:15,778 INFO  [org.ovirt.engine.core.bll.LogoutUserCommand] (http-0.0.0.0-8080-2) Running command: LogoutUserCommand internal: false.
2012-03-09 17:39:15,814 ERROR [org.ovirt.engine.core.bll.adbroker.DirectorySearcher] (http-0.0.0.0-8080-2) Error in finding LDAP servers for domain dc.eng.lab.tlv.redhat.com
2012-03-09 17:39:15,861 INFO  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (http-0.0.0.0-8080-2) Running command: LoginAdminUserCommand internal: false.
2012-03-09 17:39:15,901 INFO  [org.ovirt.engine.core.bll.LogoutUserCommand] (http-0.0.0.0-8080-2) Running command: LogoutUserCommand internal: false.
2012-03-09 17:39:15,931 ERROR [org.ovirt.engine.core.bll.adbroker.DirectorySearcher] (http-0.0.0.0-8080-2) Error in finding LDAP servers for domain dc.eng.lab.tlv.redhat.com
2012-03-09 17:39:15,981 INFO  [org.ovirt.engine.core.bll.LoginAdminUserCommand] (http-0.0.0.0-8080-2) Running command: LoginAdminUserCommand internal: false.
2012-03-09 17:39:16,025 INFO  [org.ovirt.engine.core.bll.MaintananceNumberOfVdssCommand] (http-0.0.0.0-8080-2) Running command: MaintananceNumberOfVdssCommand internal: false. Entities affected :  ID: b10a39da-69fc-11e1-b379-6fddd64b0774 Type: VDS
Comment 1 Ori Liel 2012-09-02 10:42:45 EDT
I have reason to believe that this issue was fixed indirectly recently. 

Could you please  check if the problem still happens? 

I'd do it myself but it's a complicated scenario to reproduce (I have to stage a failure while formatting a storage-domain). I assume you already have the means to do it; it would save me a lot of time.
Comment 3 Yaniv Kaul 2012-09-03 04:08:21 EDT
Moved QA contact to Kuba.
However, we are not testing oVirt upstream right now, so feel free to close the BZ, we will re-open if we see it again.
Comment 4 Ori Liel 2012-10-15 10:53:33 EDT
closing the bug

Note You need to log in before you can comment on or make changes to this bug.